%define _name gnome-utils

Name: gnome2-utils
Version: 2.2.0.3
Release: alt1

Summary: GNOME Utilities for the GNOME 2.0 desktop
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %_name-%version.tar.bz2
Patch: %name-2.0.5-alt-pam.patch

%define intltool_ver 0.25
%define libgnome_ver 2.2.0.1
%define libgnomeui_ver 2.2.0.1
%define gnome_vfs_ver 2.2.0
%define glade_ver 2.0.1-alt2
%define libbonoboui_ver 2.2.0
%define libgnome_panel_ver 2.2.0
%define scrollkeeper_ver 0.3.11-alt2
%define GConf_ver 2.2.0

Requires: %name-gdialog = %version-%release
Requires: %name-gdict-applet = %version-%release	%name-gfloppy = %version-%release
Requires: %name-gnome-calculator = %version-%release	%name-gnome-search-tool = %version-%release
Requires: %name-gnome-system-log = %version-%release	%name-gnome-character-map = %version-%release

BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libgnome-panel-devel >= %libgnome_panel_ver

# Automatically added by buildreq on Mon Jan 27 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libORBit2 libXft libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libe2fs-devel libexpat libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg liblinc-devel libncurses-devel libpango-devel libpopt-devel libssl libtinfo-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
GNOME Utilities for the GNOME 2.0 desktop contains the following:

System Log Viewer - monitor and view system log files.
Character Map     - select characters from a table and insert them
		    into your applications.
Calculator        - a simple mathematical and scientific calculator
		    that includes arithmetic, trigonometric, and
		    logarithmic functions.
Search Tool       - search for files on your system using simple
		    and advanced search options.
Dictionary        - look up an online dictionary for definitions
		    and correct spelling of words.
Floppy Format     - format floppy disks under Linux.

%package common
Summary: Common files for GNOME utilities
Group: Graphical desktop/GNOME
Obsoletes: %_name, %name-archive-generator
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libgnome-panel >= %libgnome_panel_ver

%description common
This package contains common files needed to run GNOME utilities.

%package gdialog
Summary: Display dialog boxes from shell scripts.
Group: Graphical desktop/GNOME
Requires: %name-common = %version-%release

%description gdialog
Gdialog is a program that will let you to present a  variety  of
questions  or display messages using dialog boxes from a shell script.

%package gdict-applet
Summary: GNOME panel applet for gnome-dictionary
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release
Requires: %name-gnome-dictionary = %version-%release

%description gdict-applet
GNOME panel applet for gnome-dictionary (Gnome client for MIT dictionary
server).

%package gfloppy
Summary: A simple floppy formatter for the GNOME
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gfloppy
Floppy Format - format floppy disks under Linux.

%package gnome-calculator
Summary: GNOME Calculator
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-calculator
Calculator - a simple mathematical and scientific calculator 		
that includes arithmetic, trigonometric, and logarithmic functions.

%package gnome-character-map
Summary: The GNOME Character Map
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-character-map
Character Map - select characters from a table and insert them  		
into your applications.

%package gnome-dictionary
Summary: Gnome client for MIT dictionary server
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-dictionary
Dictionary - look up an online dictionary for definitions  		
and correct spelling of words.

%package gnome-search-tool
Summary: The GNOME Search Tool
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-search-tool
Search Tool - search for files on your system using simple  		
and advanced search options.

%package gnome-system-log
Summary: The GNOME logfile viewer
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-system-log
System Log Viewer - monitor and view system log files.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version
%patch -p1

%build
export ac_cv_path_CONSOLE_HELPER=/usr/bin/consolehelper
%configure --enable-gdialog \
	--enable-console-helper

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall libexecdir=%buildroot%_bindir
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menus
%__mkdir_p %buildroot%_menudir
%__cat << __MENU_GFLOPPY__ > %buildroot%_menudir/gfloppy
?package(%name-gfloppy): needs="x11" section="Configuration/Hardware" \
title="GNOME Floppy" longtitle="A simple floppy formatter for GNOME" \
command="%_bindir/gfloppy" icon="gfloppy.png"
__MENU_GFLOPPY__

%__cat << __MENU_CALC__ > %buildroot%_menudir/gnome-calculator
?package(%name-gnome-calculator): needs="x11" section="Applications/Sciences/Mathematics" \
title="GNOME Calculator" longtitle="A simple mathematical and scientific calculator for GNOME" \
command="%_bindir/gnome-calculator" icon="gnome-calculator.png"
__MENU_CALC__

%__cat << __MENU_CHARMAP__ > %buildroot%_menudir/gnome-character-map
?package(%name-gnome-character-map): needs="x11" section="Applications/Text tools" \
title="GNOME Character Map" longtitle="Gnome Character Map" \
command="%_bindir/gnome-character-map" icon="gnome-character-map.png"
__MENU_CHARMAP__

%__cat << __MENU_DICT__ > %buildroot%_menudir/gnome-dictionary
?package(%name-gnome-dictionary): needs="x11" section="Office" \
title="GNOME Dictionary" longtitle="Gnome client for MIT dictionary server" \
command="%_bindir/gnome-dictionary" icon="gdict.png"
__MENU_DICT__

%__cat << __MENU_SEARCH__ > %buildroot%_menudir/gnome-search-tool
?package(%name-gnome-search-tool): needs="x11" section="Applications/File tools" \
title="Gnome Search Tool" longtitle="Search Tool for GNOME desktop" \
command="%_bindir/gnome-search-tool" icon="gnome-searchtool.png"
__MENU_SEARCH__

%__cat << __MENU_LOGVIEW__ > %buildroot%_menudir/gnome-system-log
?package(%name-gnome-system-log): needs="x11" section="Applications/Monitoring" \
title="System Log Viewer" longtitle="System Log Viewer for GNOME desktop" \
command="%_bindir/gnome-system-log" icon="logview.xpm"
__MENU_LOGVIEW__

%find_lang %_name-2.0

%post gdialog
%update_menus
%update_scrollkeeper

%postun gdialog
%clean_menus
%clean_scrollkeeper

%post gdict-applet
%gconf2_install gdict

%post gfloppy
%gconf2_install gfloppy
%update_menus
%update_scrollkeeper

%postun gfloppy
%clean_menus
%clean_scrollkeeper

%post gnome-calculator
%update_menus
%update_scrollkeeper

%postun gnome-calculator
%clean_menus
%clean_scrollkeeper

%post gnome-character-map
%update_menus
%update_scrollkeeper

%postun gnome-character-map
%clean_menus
%clean_scrollkeeper

%post gnome-dictionary
%update_menus
%update_scrollkeeper

%postun gnome-dictionary
%clean_menus
%clean_scrollkeeper

%post gnome-search-tool
%update_menus
%update_scrollkeeper

%postun gnome-search-tool
%clean_menus
%clean_scrollkeeper

%post gnome-system-log
%gconf2_install logview
%update_menus
%update_scrollkeeper

%postun gnome-system-log
%clean_menus
%clean_scrollkeeper

%files

%files common -f %_name-2.0.lang
%doc AUTHORS ChangeLog NEWS README THANKS
%dir %_datadir/%_name
%dir %_datadir/%_name/glade
%dir %_datadir/omf/%_name

%files gdialog
%_bindir/gdialog
%_datadir/gnome/help/gdialog
%_datadir/omf/%_name/gdialog*
%_man1dir/gdialog.*

%files gdict-applet
%_bindir/gdict-applet
%_libdir/bonobo/*/*
%_datadir/gnome-2.0/*/*

%files gfloppy
%_bindir/gfloppy
%_datadir/applications/gfloppy.*
%_datadir/gnome/help/gfloppy
%_datadir/%_name/glade/gfloppy2.*
%_datadir/omf/%_name/gfloppy*
%_datadir/mime-info/gfloppy.*
%_man1dir/gfloppy.*
%_menudir/gfloppy
%config %_sysconfdir/gconf/*/gfloppy.*

%files gnome-calculator
%_bindir/gnome-calculator
%_datadir/applications/gnome-calculator.*
%_datadir/gnome/help/gnome-calculator
%_datadir/omf/%_name/gnome-calculator*
%_man1dir/gnome-calculator.*
%_menudir/gnome-calculator

%files gnome-character-map
%_bindir/gnome-character-map
%_datadir/applications/gnome-character-map.*
%_datadir/gnome/help/gnome-character-map
%_datadir/omf/%_name/gnome-character-map*
%_datadir/pixmaps/gnome-character-map.*
%_man1dir/gnome-character-map.*
%_menudir/gnome-character-map

%files gnome-dictionary
%_bindir/gnome-dictionary
%_datadir/applications/gnome-dictionary.*
%_datadir/gnome/help/gnome-dictionary
%_datadir/omf/%_name/gnome-dictionary*
%_datadir/pixmaps/gdict.*
%_man1dir/gnome-dictionary.*
%config %_sysconfdir/gconf/*/gdict.*
%_menudir/gnome-dictionary

%files gnome-search-tool
%_bindir/gnome-search-tool
%_datadir/applications/gnome-search-tool.*
%_datadir/gnome/help/gnome-search-tool
%_datadir/omf/%_name/gnome-search-tool*
%_datadir/pixmaps/gnome-searchtool.*
%_man1dir/gnome-search-tool.*
%_menudir/gnome-search-tool

%files gnome-system-log
%_bindir/gnome-system-log
%_sbindir/gnome-system-log
%_datadir/applications/gnome-system-log.*
%_datadir/gnome/help/gnome-system-log
%_datadir/omf/%_name/gnome-system-log*
%_datadir/gnome-system-log
%_datadir/pixmaps/gnome-system-log
%_menudir/gnome-system-log
%_man1dir/gnome-system-log.*
%config %_sysconfdir/pam.d/*
%config %_sysconfdir/security/*/*
%config %_sysconfdir/gconf/*/logview.*

%changelog
* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.3-alt1
- 2.2.0.3

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- archive-generator removed from project.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt2
- rebuild with new pango, gtk+

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1.1
- Buildreqs updated
- files section for archive-generator fixed.
- gnome2-utils virtual package install all utils.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Wed Jun 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.

